<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <!-- o uso dessa diretiva faz com que o elemento seja removido da página, caso sua condição não seja satisfeita ou seja inserido (no lugar de outro), se sua condição passar a ser satisfeita (observar inspector do navegador) -->
    <p v-if="logado">Usuário logado: {{ nome }}</p>
    <!--
    maneira 1 de negação: usando negação do teste do if 
    <p v-if="!logado">Nenhum usuário logado</p>
    -->
    <!-- maneira 2: usando o v-else, que deve estar no elemento imediatamente posterior ao elemento com v-if -->
    <p v-else>Nenhum usuário logado</p>
    <button @click="logado = !logado">
      {{ logado ? 'Sair' : 'Entrar' }}
    </button>
  </div>
  <script src="app.js"></script>
</body>

</html>